BIND(2)

NAME
bind - binds an address to a socket

SYNOPSIS
#include <sys/socket.h>
int bind(int sd, const struct sockaddr * addr, socklen_t addr_len);

DESCRIPTION
bind() specifies the addr (IP address and port for PF_INET or path for PF_UNIX) to assign to socket sd.

RETURN VALUES
On success, this function returns 0. On error, -1 is returned and errno is set.

ERRORS

[ENOSYS]
    The socket type is not supported by bind().

[EAFNOSUPPORT]
    The address family is not supported by bind().

[EADDRNOTAVAIL]
    The address is not available.

[ENAMETOOLONG]
    The sun_path in struct sockaddr_un is too long.

[EINVAL]
    The address is already bound to the socket.

[EBADF]
    The argument sd is not a descriptor.

[ENOTSOCK]
    The argument sd is a descriptor, but not a socket descriptor.

[EFAULT]
    The address pointed to by addr is not in a valid part of the process address space.

SEE ALSO
accept(2), socket(2)